Index: CKEditor/releases/stable/lang/ru.js
===================================================================
--- CKEditor/releases/stable/lang/ru.js	(revision 4887)
+++ CKEditor/releases/stable/lang/ru.js	(revision 5194)
@@ -4,3 +4,3 @@
 */
 
-CKEDITOR.lang.ru={dir:'ltr',editorTitle:'Rich text editor, %1',source:'Источник',newPage:'Новая страница',save:'Сохранить',preview:'Предварительный просмотр',cut:'Вырезать',copy:'Копировать',paste:'Вставить',print:'Печать',underline:'Подчеркнутый',bold:'Жирный',italic:'Курсив',selectAll:'Выделить все',removeFormat:'Убрать форматирование',strike:'Зачеркнутый',subscript:'Подстрочный индекс',superscript:'Надстрочный индекс',horizontalrule:'Вставить горизонтальную линию',pagebreak:'Вставить разрыв страницы',unlink:'Убрать ссылку',undo:'Отменить',redo:'Повторить',common:{browseServer:'Просмотреть на сервере',url:'URL',protocol:'Протокол',upload:'Закачать',uploadSubmit:'Послать на сервер',image:'Изображение',flash:'Flash',form:'Форма',checkbox:'Флаговая кнопка',radio:'Кнопка выбора',textField:'Текстовое поле',textarea:'Текстовая область',hiddenField:'Скрытое поле',button:'Кнопка',select:'Список',imageButton:'Кнопка с изображением',notSet:'<не определено>',id:'Идентификатор',name:'Имя',langDir:'Направление языка',langDirLtr:'Слева на право (LTR)',langDirRtl:'Справа на лево (RTL)',langCode:'Язык',longDescr:'Длинное описание URL',cssClass:'Класс CSS',advisoryTitle:'Заголовок',cssStyle:'Стиль CSS',ok:'ОК',cancel:'Отмена',generalTab:'Информация',advancedTab:'Расширенный',validateNumberFailed:'This value is not a number.',confirmNewPage:'Any unsaved changes to this content will be lost. Are you sure you want to load new page?',confirmCancel:'Some of the options have been changed. Are you sure to close the dialog?',unavailable:'%1<span class="cke_accessibility">, unavailable</span>'},specialChar:{toolbar:'Вставить специальный символ',title:'Выберите специальный символ'},link:{toolbar:'Вставить/Редактировать ссылку',menu:'Вставить ссылку',title:'Ссылка',info:'Информация ссылки',target:'Цель',upload:'Закачать',advanced:'Расширенный',type:'Тип ссылки',toAnchor:'Якорь на эту страницу',toEmail:'Эл. почта',target:'Цель',targetNotSet:'<не определено>',targetFrame:'<фрейм>',targetPopup:'<всплывающее окно>',targetNew:'Новое окно (_blank)',targetTop:'Самое верхнее окно (_top)',targetSelf:'Тоже окно (_self)',targetParent:'Родительское окно (_parent)',targetFrameName:'Имя целевого фрейма',targetPopupName:'Имя всплывающего окна',popupFeatures:'Свойства всплывающего окна',popupResizable:'Resizable',popupStatusBar:'Строка состояния',popupLocationBar:'Панель локации',popupToolbar:'Панель инструментов',popupMenuBar:'Панель меню',popupFullScreen:'Полный экран (IE)',popupScrollBars:'Полосы прокрутки',popupDependent:'Зависимый (Netscape)',popupWidth:'Ширина',popupLeft:'Позиция слева',popupHeight:'Высота',popupTop:'Позиция сверху',id:'Id',langDir:'Направление языка',langDirNotSet:'<не определено>',langDirLTR:'Слева на право (LTR)',langDirRTL:'Справа на лево (RTL)',acccessKey:'Горячая клавиша',name:'Имя',langCode:'Направление языка',tabIndex:'Последовательность перехода',advisoryTitle:'Заголовок',advisoryContentType:'Тип содержимого',cssClasses:'Класс CSS',charset:'Кодировка',styles:'Стиль CSS',selectAnchor:'Выберите якорь',anchorName:'По имени якоря',anchorId:'По идентификатору элемента',emailAddress:'Адрес эл. почты',emailSubject:'Заголовок сообщения',emailBody:'Тело сообщения',noAnchors:'(Нет якорей доступных в этом документе)',noUrl:'Пожалуйста, введите URL ссылки',noEmail:'Пожалуйста, введите адрес эл. почты'},anchor:{toolbar:'Вставить/Редактировать якорь',menu:'Свойства якоря',title:'Свойства якоря',name:'Имя якоря',errorName:'Пожалуйста, введите имя якоря'},findAndReplace:{title:'Найти и заменить',find:'Найти',replace:'Заменить',findWhat:'Найти:',replaceWith:'Заменить на:',notFoundMsg:'Указанный текст не найден.',matchCase:'Учитывать регистр',matchWord:'Совпадение целых слов',matchCyclic:'Match cyclic',replaceAll:'Заменить все',replaceSuccessMsg:'%1 occurrence(s) replaced.'},table:{toolbar:'Таблица',title:'Свойства таблицы',menu:'Свойства таблицы',deleteTable:'Удалить таблицу',rows:'Строки',columns:'Колонки',border:'Размер бордюра',align:'Выравнивание',alignNotSet:'<Не уст.>',alignLeft:'Слева',alignCenter:'По центру',alignRight:'Справа',width:'Ширина',widthPx:'пикселей',widthPc:'процентов',height:'Высота',cellSpace:'Промежуток (spacing)',cellPad:'Отступ (padding)',caption:'Заголовок',summary:'Резюме',headers:'Заголовки',headersNone:'Нет',headersColumn:'Первый столбец',headersRow:'Первая строка',headersBoth:'Оба варианта',invalidRows:'Number of rows must be a number greater than 0.',invalidCols:'Number of columns must be a number greater than 0.',invalidBorder:'Border size must be a number.',invalidWidth:'Table width must be a number.',invalidHeight:'Table height must be a number.',invalidCellSpacing:'Cell spacing must be a number.',invalidCellPadding:'Cell padding must be a number.',cell:{menu:'Ячейка',insertBefore:'Вставить ячейку до',insertAfter:'Вставить ячейку после',deleteCell:'Удалить ячейки',merge:'Соединить ячейки',mergeRight:'Соединить вправо',mergeDown:'Соединить вниз',splitHorizontal:'Разбить ячейку горизонтально',splitVertical:'Разбить ячейку вертикально',title:'Cell Properties',cellType:'Cell Type',rowSpan:'Rows Span',colSpan:'Columns Span',wordWrap:'Word Wrap',hAlign:'Horizontal Alignment',vAlign:'Vertical Alignment',alignTop:'Top',alignMiddle:'Middle',alignBottom:'Bottom',alignBaseline:'Baseline',bgColor:'Background Color',borderColor:'Border Color',data:'Data',header:'Header',yes:'Yes',no:'No',invalidWidth:'Cell width must be a number.',invalidHeight:'Cell height must be a number.',invalidRowSpan:'Rows span must be a whole number.',invalidColSpan:'Columns span must be a whole number.',chooseColor:'Choose'},row:{menu:'Строка',insertBefore:'Вставить строку до',insertAfter:'Вставить строку после',deleteRow:'Удалить строки'},column:{menu:'Колонка',insertBefore:'Вставить колонку до',insertAfter:'Вставить колонку после',deleteColumn:'Удалить колонки'}},button:{title:'Свойства кнопки',text:'Текст (Значение)',type:'Тип',typeBtn:'Кнопка',typeSbm:'Отправить',typeRst:'Сбросить'},checkboxAndRadio:{checkboxTitle:'Свойства флаговой кнопки',radioTitle:'Свойства кнопки выбора',value:'Значение',selected:'Выбранная'},form:{title:'Свойства формы',menu:'Свойства формы',action:'Действие',method:'Метод',encoding:'Encoding',target:'Цель',targetNotSet:'<не определено>',targetNew:'Новое окно (_blank)',targetTop:'Самое верхнее окно (_top)',targetSelf:'Тоже окно (_self)',targetParent:'Родительское окно (_parent)'},select:{title:'Свойства списка',selectInfo:'Информация',opAvail:'Доступные варианты',value:'Значение',size:'Размер',lines:'линии',chkMulti:'Разрешить множественный выбор',opText:'Текст',opValue:'Значение',btnAdd:'Добавить',btnModify:'Модифицировать',btnUp:'Вверх',btnDown:'Вниз',btnSetValue:'Установить как выбранное значение',btnDelete:'Удалить'},textarea:{title:'Свойства текстовой области',cols:'Колонки',rows:'Строки'},textfield:{title:'Свойства текстового поля',name:'Имя',value:'Значение',charWidth:'Ширина',maxChars:'Макс. кол-во символов',type:'Тип',typeText:'Текст',typePass:'Пароль'},hidden:{title:'Свойства скрытого поля',name:'Имя',value:'Значение'},image:{title:'Свойства изображения',titleButton:'Свойства кнопки с изображением',menu:'Свойства изображения',infoTab:'Информация о изображении',btnUpload:'Послать на сервер',url:'URL',upload:'Закачать',alt:'Альтернативный текст',width:'Ширина',height:'Высота',lockRatio:'Сохранять пропорции',resetSize:'Сбросить размер',border:'Бордюр',hSpace:'Горизонтальный отступ',vSpace:'Вертикальный отступ',align:'Выравнивание',alignLeft:'По левому краю',alignRight:'По правому краю',preview:'Предварительный просмотр',alertUrl:'Пожалуйста, введите URL изображения',linkTab:'Ссылка',button2Img:'Do you want to transform the selected image button on a simple image?',img2Button:'Do you want to transform the selected image on a image button?',urlMissing:'Image source URL is missing.'},flash:{properties:'Свойства Flash',propertiesTab:'Properties',title:'Свойства Flash',chkPlay:'Авто проигрывание',chkLoop:'Повтор',chkMenu:'Включить меню Flash',chkFull:'Allow Fullscreen',scale:'Масштабировать',scaleAll:'Показывать все',scaleNoBorder:'Без бордюра',scaleFit:'Точное совпадение',access:'Script Access',accessAlways:'Always',accessSameDomain:'Same domain',accessNever:'Never',align:'Выравнивание',alignLeft:'По левому краю',alignAbsBottom:'Абс понизу',alignAbsMiddle:'Абс посередине',alignBaseline:'По базовой линии',alignBottom:'Понизу',alignMiddle:'Посередине',alignRight:'По правому краю',alignTextTop:'Текст наверху',alignTop:'По верху',quality:'Quality',qualityBest:'Best',qualityHigh:'High',qualityAutoHigh:'Auto High',qualityMedium:'Medium',qualityAutoLow:'Auto Low',qualityLow:'Low',windowModeWindow:'Window',windowModeOpaque:'Opaque',windowModeTransparent:'Transparent',windowMode:'Window mode',flashvars:'Variables for Flash',bgcolor:'Цвет фона',width:'Ширина',height:'Высота',hSpace:'Горизонтальный отступ',vSpace:'Вертикальный отступ',validateSrc:'Пожалуйста, введите URL ссылки',validateWidth:'Width must be a number.',validateHeight:'Height must be a number.',validateHSpace:'HSpace must be a number.',validateVSpace:'VSpace must be a number.'},spellCheck:{toolbar:'Проверить орфографию',title:'Spell Check',notAvailable:'Sorry, but service is unavailable now.',errorLoading:'Error loading application service host: %s.',notInDic:'Нет в словаре',changeTo:'Заменить на',btnIgnore:'Игнорировать',btnIgnoreAll:'Игнорировать все',btnReplace:'Заменить',btnReplaceAll:'Заменить все',btnUndo:'Отменить',noSuggestions:'- Нет предположений -',progress:'Идет проверка орфографии...',noMispell:'Проверка орфографии закончена: ошибок не найдено',noChanges:'Проверка орфографии закончена: ни одного слова не изменено',oneChange:'Проверка орфографии закончена: одно слово изменено',manyChanges:'Проверка орфографии закончена: 1% слов изменен',ieSpellDownload:'Модуль проверки орфографии не установлен. Хотите скачать его сейчас?'},smiley:{toolbar:'Смайлик',title:'Вставить смайлик'},elementsPath:{eleTitle:'%1 element'},numberedlist:'Нумерованный список',bulletedlist:'Маркированный список',indent:'Увеличить отступ',outdent:'Уменьшить отступ',justify:{left:'По левому краю',center:'По центру',right:'По правому краю',block:'По ширине'},blockquote:'Цитата',clipboard:{title:'Вставить',cutError:'Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции вырезания. Пожалуйста, используйте клавиатуру для этого (Ctrl+X).',copyError:'Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции копирования. Пожалуйста, используйте клавиатуру для этого (Ctrl+C).',pasteMsg:'Пожалуйста, вставьте текст в прямоугольник, используя сочетание клавиш (<STRONG>Ctrl+V</STRONG>), и нажмите <STRONG>OK</STRONG>.',securityMsg:'По причине настроек безопасности браузера, редактор не имеет доступа к данным буфера обмена напрямую. Вам необходимо вставить текст снова в это окно.'},pastefromword:{confirmCleanup:'The text you want to paste seems to be copied from Word. Do you want to clean it before pasting?',toolbar:'Вставить из Word',title:'Вставить из Word',error:'It was not possible to clean up the pasted data due to an internal error'},pasteText:{button:'Вставить только текст',title:'Вставить только текст'},templates:{button:'Шаблоны',title:'Шаблоны содержимого',insertOption:'Заменить текущее содержание',selectPromptMsg:'Пожалуйста, выберете шаблон для открытия в редакторе<br>(текущее содержимое будет потеряно):',emptyListMsg:'(Ни одного шаблона не определено)'},showBlocks:'Показать блоки',stylesCombo:{label:'Стиль',voiceLabel:'Styles',panelVoiceLabel:'Select a style',panelTitle1:'Block Styles',panelTitle2:'Inline Styles',panelTitle3:'Object Styles'},format:{label:'Форматирование',voiceLabel:'Format',panelTitle:'Форматирование',panelVoiceLabel:'Select a paragraph format',tag_p:'Нормальный',tag_pre:'Форматированный',tag_address:'Адрес',tag_h1:'Заголовок 1',tag_h2:'Заголовок 2',tag_h3:'Заголовок 3',tag_h4:'Заголовок 4',tag_h5:'Заголовок 5',tag_h6:'Заголовок 6',tag_div:'Нормальный (DIV)'},div:{title:'Create Div Container',toolbar:'Create Div Container',cssClassInputLabel:'Stylesheet Classes',styleSelectLabel:'Style',IdInputLabel:'Id',languageCodeInputLabel:' Language Code',inlineStyleInputLabel:'Inline Style',advisoryTitleInputLabel:'Advisory Title',langDirLabel:'Language Direction',langDirLTRLabel:'Left to Right (LTR)',langDirRTLLabel:'Right to Left (RTL)',edit:'Edit Div',remove:'Remove Div'},font:{label:'Шрифт',voiceLabel:'Font',panelTitle:'Шрифт',panelVoiceLabel:'Select a font'},fontSize:{label:'Размер',voiceLabel:'Font Size',panelTitle:'Размер',panelVoiceLabel:'Select a font size'},colorButton:{textColorTitle:'Цвет текста',bgColorTitle:'Цвет фона',auto:'Автоматический',more:'Цвета...'},colors:{'000':'Black',800000:'Maroon','8B4513':'Saddle Brown','2F4F4F':'Dark Slate Gray','008080':'Teal','000080':'Navy','4B0082':'Indigo',696969:'Dim Gray',B22222:'Fire Brick',A52A2A:'Brown',DAA520:'Golden Rod','006400':'Dark Green','40E0D0':'Turquoise','0000CD':'Medium Blue',800080:'Purple',808080:'Gray',F00:'Red',FF8C00:'Dark Orange',FFD700:'Gold','008000':'Green','0FF':'Cyan','00F':'Blue',EE82EE:'Violet',A9A9A9:'Dark Gray',FFA07A:'Light Salmon',FFA500:'Orange',FFFF00:'Yellow','00FF00':'Lime',AFEEEE:'Pale Turquoise',ADD8E6:'Light Blue',DDA0DD:'Plum',D3D3D3:'Light Grey',FFF0F5:'Lavender Blush',FAEBD7:'Antique White',FFFFE0:'Light Yellow',F0FFF0:'Honeydew',F0FFFF:'Azure',F0F8FF:'Alice Blue',E6E6FA:'Lavender',FFF:'White'},scayt:{title:'Spell Check As You Type',enable:'Enable SCAYT',disable:'Disable SCAYT',about:'About SCAYT',toggle:'Toggle SCAYT',options:'Options',langs:'Languages',moreSuggestions:'More suggestions',ignore:'Ignore',ignoreAll:'Ignore All',addWord:'Add Word',emptyDic:'Dictionary name should not be empty.',optionsTab:'Options',languagesTab:'Languages',dictionariesTab:'Dictionaries',aboutTab:'About'},about:{title:'About CKEditor',dlgTitle:'About CKEditor',moreInfo:'For licensing information please visit our web site:',copy:'Copyright &copy; $1. All rights reserved.'},maximize:'Maximize',minimize:'Minimize',fakeobjects:{anchor:'Anchor',flash:'Flash Animation',div:'Page Break',unknown:'Unknown Object'},resize:'Drag to resize',colordialog:{title:'Select color',highlight:'Highlight',selected:'Selected',clear:'Clear'},toolbarCollapse:'Collapse Toolbar',toolbarExpand:'Expand Toolbar'};
+CKEDITOR.lang.ru={dir:'ltr',editorTitle:'Rich text editor, %1, press ALT 0 for help.',toolbar:'Toolbar',editor:'Rich Text Editor',source:'Источник',newPage:'Новая страница',save:'Сохранить',preview:'Предварительный просмотр',cut:'Вырезать',copy:'Копировать',paste:'Вставить',print:'Печать',underline:'Подчеркнутый',bold:'Жирный',italic:'Курсив',selectAll:'Выделить все',removeFormat:'Убрать форматирование',strike:'Зачеркнутый',subscript:'Подстрочный индекс',superscript:'Надстрочный индекс',horizontalrule:'Вставить горизонтальную линию',pagebreak:'Вставить разрыв страницы',unlink:'Убрать ссылку',undo:'Отменить',redo:'Повторить',common:{browseServer:'Просмотреть на сервере',url:'URL',protocol:'Протокол',upload:'Закачать',uploadSubmit:'Послать на сервер',image:'Изображение',flash:'Flash',form:'Форма',checkbox:'Флаговая кнопка',radio:'Кнопка выбора',textField:'Текстовое поле',textarea:'Текстовая область',hiddenField:'Скрытое поле',button:'Кнопка',select:'Список',imageButton:'Кнопка с изображением',notSet:'<не определено>',id:'Идентификатор',name:'Имя',langDir:'Направление языка',langDirLtr:'Слева на право (LTR)',langDirRtl:'Справа на лево (RTL)',langCode:'Язык',longDescr:'Длинное описание URL',cssClass:'Класс CSS',advisoryTitle:'Заголовок',cssStyle:'Стиль CSS',ok:'ОК',cancel:'Отмена',close:'Close',preview:'Preview',generalTab:'Информация',advancedTab:'Расширенный',validateNumberFailed:'Это значение не является числом.',confirmNewPage:'Все несохраненные изменения будут утеряны. Вы уверены, что хотите перейти на другую страницу?',confirmCancel:'Некоторые опции были изменены. Вы уверены, что хотите закрыть диалог?',options:'Options',target:'Target',targetNew:'New Window (_blank)',targetTop:'Topmost Window (_top)',targetSelf:'Same Window (_self)',targetParent:'Parent Window (_parent)',unavailable:'%1<span class="cke_accessibility">, недоступно</span>'},specialChar:{toolbar:'Вставить специальный символ',title:'Выберите специальный символ'},link:{toolbar:'Вставить/Редактировать ссылку',menu:'Вставить ссылку',title:'Ссылка',info:'Информация ссылки',target:'Цель',upload:'Закачать',advanced:'Расширенный',type:'Тип ссылки',toUrl:'URL',toAnchor:'Якорь на эту страницу',toEmail:'Эл. почта',targetFrame:'<фрейм>',targetPopup:'<всплывающее окно>',targetFrameName:'Имя целевого фрейма',targetPopupName:'Имя всплывающего окна',popupFeatures:'Свойства всплывающего окна',popupResizable:'Изменяемый размер',popupStatusBar:'Строка состояния',popupLocationBar:'Панель локации',popupToolbar:'Панель инструментов',popupMenuBar:'Панель меню',popupFullScreen:'Полный экран (IE)',popupScrollBars:'Полосы прокрутки',popupDependent:'Зависимый (Netscape)',popupWidth:'Ширина',popupLeft:'Позиция слева',popupHeight:'Высота',popupTop:'Позиция сверху',id:'Id',langDir:'Направление языка',langDirLTR:'Слева направо (LTR)',langDirRTL:'Справа налево (RTL)',acccessKey:'Горячая клавиша',name:'Имя',langCode:'Код языка',tabIndex:'Последовательность перехода',advisoryTitle:'Заголовок',advisoryContentType:'Тип содержимого',cssClasses:'Класс CSS',charset:'Кодировка',styles:'Стиль CSS',selectAnchor:'Выберите якорь',anchorName:'По имени якоря',anchorId:'По идентификатору элемента',emailAddress:'Адрес эл. почты',emailSubject:'Заголовок сообщения',emailBody:'Тело сообщения',noAnchors:'(Нет якорей доступных в этом документе)',noUrl:'Пожалуйста, введите URL ссылки',noEmail:'Пожалуйста, введите адрес эл. почты'},anchor:{toolbar:'Вставить/Редактировать якорь',menu:'Свойства якоря',title:'Свойства якоря',name:'Имя якоря',errorName:'Пожалуйста, введите имя якоря'},findAndReplace:{title:'Найти и заменить',find:'Найти',replace:'Заменить',findWhat:'Найти:',replaceWith:'Заменить на:',notFoundMsg:'Указанный текст не найден.',matchCase:'Учитывать регистр',matchWord:'Только слово целиком',matchCyclic:'Начинать с начала после достижения конца',replaceAll:'Заменить все',replaceSuccessMsg:'%1 совпадение(й) заменено.'},table:{toolbar:'Таблица',title:'Свойства таблицы',menu:'Свойства таблицы',deleteTable:'Удалить таблицу',rows:'Строки',columns:'Колонки',border:'Размер бордюра',align:'Выравнивание',alignLeft:'Слева',alignCenter:'По центру',alignRight:'Справа',width:'Ширина',widthPx:'пикселей',widthPc:'процентов',widthUnit:'width unit',height:'Высота',cellSpace:'Промежуток (spacing)',cellPad:'Отступ (padding)',caption:'Заголовок',summary:'Резюме',headers:'Заголовки',headersNone:'Нет',headersColumn:'Первый столбец',headersRow:'Первая строка',headersBoth:'Оба варианта',invalidRows:'Число строк должно быть больше 0.',invalidCols:'Число столбцов должно быть больше 0.',invalidBorder:'Ширина бордюра должна быть числом.',invalidWidth:'Ширина таблицы должна быть числом.',invalidHeight:'Высота таблицы должна быть числом.',invalidCellSpacing:'Размер промежутков (cellspacing) между ячейками должны быть числом.',invalidCellPadding:'Отступы внутри ячеек (cellpadding) должны быть числом.',cell:{menu:'Ячейка',insertBefore:'Вставить ячейку до',insertAfter:'Вставить ячейку после',deleteCell:'Удалить ячейки',merge:'Объединить ячейки',mergeRight:'Объединить с правой',mergeDown:'Объединить с нижней',splitHorizontal:'Разбить ячейку горизонтально',splitVertical:'Разбить ячейку вертикально',title:'Свойства ячейки',cellType:'Тип ячейки',rowSpan:'Rows Span',colSpan:'Columns Span',wordWrap:'Перенос по словам',hAlign:'Выравнивание по горизонтали',vAlign:'Выравнивание по вертикали',alignTop:'По верху',alignMiddle:'Посередине',alignBottom:'По низу',alignBaseline:'По базовой линии',bgColor:'Цвет фона',borderColor:'Цвет границы',data:'Данные',header:'Заголовок',yes:'Да',no:'Нет',invalidWidth:'Ширина ячейки должна быть числом.',invalidHeight:'Высота ячейки должна быть числом.',invalidRowSpan:'Rows span must be a whole number.',invalidColSpan:'Columns span must be a whole number.',chooseColor:'Выберите'},row:{menu:'Строка',insertBefore:'Вставить строку до',insertAfter:'Вставить строку после',deleteRow:'Удалить строки'},column:{menu:'Колонка',insertBefore:'Вставить колонку до',insertAfter:'Вставить колонку после',deleteColumn:'Удалить колонки'}},button:{title:'Свойства кнопки',text:'Текст (Значение)',type:'Тип',typeBtn:'Кнопка',typeSbm:'Отправить',typeRst:'Сбросить'},checkboxAndRadio:{checkboxTitle:'Свойства флаговой кнопки',radioTitle:'Свойства кнопки выбора',value:'Значение',selected:'Выбранная'},form:{title:'Свойства формы',menu:'Свойства формы',action:'Действие',method:'Метод',encoding:'Кодировка'},select:{title:'Свойства списка',selectInfo:'Информация',opAvail:'Доступные варианты',value:'Значение',size:'Размер',lines:'линии',chkMulti:'Разрешить множественный выбор',opText:'Текст',opValue:'Значение',btnAdd:'Добавить',btnModify:'Модифицировать',btnUp:'Вверх',btnDown:'Вниз',btnSetValue:'Установить как выбранное значение',btnDelete:'Удалить'},textarea:{title:'Свойства текстовой области',cols:'Колонки',rows:'Строки'},textfield:{title:'Свойства текстового поля',name:'Имя',value:'Значение',charWidth:'Ширина',maxChars:'Макс. кол-во символов',type:'Тип',typeText:'Текст',typePass:'Пароль'},hidden:{title:'Свойства скрытого поля',name:'Имя',value:'Значение'},image:{title:'Свойства изображения',titleButton:'Свойства кнопки с изображением',menu:'Свойства изображения',infoTab:'Информация о изображении',btnUpload:'Отправить на сервер',upload:'Закачать',alt:'Альтернативный текст',width:'Ширина',height:'Высота',lockRatio:'Сохранять пропорции',unlockRatio:'Unlock Ratio',resetSize:'Сбросить размер',border:'Бордюр',hSpace:'Горизонтальный отступ',vSpace:'Вертикальный отступ',align:'Выравнивание',alignLeft:'По левому краю',alignRight:'По правому краю',alertUrl:'Пожалуйста, введите URL изображения',linkTab:'Ссылка',button2Img:'Do you want to transform the selected image button on a simple image?',img2Button:'Do you want to transform the selected image on a image button?',urlMissing:'Отсутствует URL картинки.',validateWidth:'Width must be a whole number.',validateHeight:'Height must be a whole number.',validateBorder:'Border must be a whole number.',validateHSpace:'HSpace must be a whole number.',validateVSpace:'VSpace must be a whole number.'},flash:{properties:'Свойства Flash',propertiesTab:'Свойства',title:'Свойства Flash',chkPlay:'Авто проигрывание',chkLoop:'Повтор',chkMenu:'Включить меню Flash',chkFull:'разрешить полноэкранный режим',scale:'Масштабировать',scaleAll:'Показывать все',scaleNoBorder:'Без бордюра',scaleFit:'Точное совпадение',access:'Область доступа скрипта',accessAlways:'Всегда',accessSameDomain:'Тот же домен',accessNever:'Никогда',align:'Выравнивание',alignLeft:'По левому краю',alignAbsBottom:'Абс понизу',alignAbsMiddle:'Абс посередине',alignBaseline:'По базовой линии',alignBottom:'Понизу',alignMiddle:'Посередине',alignRight:'По правому краю',alignTextTop:'Текст наверху',alignTop:'По верху',quality:'Качество',qualityBest:'Лучшее',qualityHigh:'Высокое',qualityAutoHigh:'Высокое (авто)',qualityMedium:'Среднее',qualityAutoLow:'Низкое (авто)',qualityLow:'Низкое',windowModeWindow:'Окно',windowModeOpaque:'Непрозрачный',windowModeTransparent:'Прозрачный',windowMode:'Оконный режим',flashvars:'Переменные для Flash',bgcolor:'Цвет фона',width:'Ширина',height:'Высота',hSpace:'Горизонтальный отступ',vSpace:'Вертикальный отступ',validateSrc:'Пожалуйста, введите URL ссылки',validateWidth:'Ширина задается числом.',validateHeight:'Высота задается числом.',validateHSpace:'Горизонтальный отступ задается числом.',validateVSpace:'Вертикальный отступ задается числом.'},spellCheck:{toolbar:'Проверить орфографию',title:'Проверка правописания',notAvailable:'Извините, сервис сейчас недоступен.',errorLoading:'Ошибка при загрузке служебного хоста приложения: %s.',notInDic:'Нет в словаре',changeTo:'Заменить на',btnIgnore:'Игнорировать',btnIgnoreAll:'Игнорировать все',btnReplace:'Заменить',btnReplaceAll:'Заменить все',btnUndo:'Отменить',noSuggestions:'- Нет предположений -',progress:'Идет проверка орфографии...',noMispell:'Проверка орфографии закончена: ошибок не найдено',noChanges:'Проверка орфографии закончена: ни одного слова не изменено',oneChange:'Проверка орфографии закончена: одно слово изменено',manyChanges:'Проверка орфографии закончена: 1% слов изменено',ieSpellDownload:'Модуль проверки орфографии не установлен. Хотите скачать его сейчас?'},smiley:{toolbar:'Смайлик',title:'Вставить смайлик'},elementsPath:{eleLabel:'Elements path',eleTitle:'%1 элемент'},numberedlist:'Нумерованный список',bulletedlist:'Маркированный список',indent:'Увеличить отступ',outdent:'Уменьшить отступ',justify:{left:'По левому краю',center:'По центру',right:'По правому краю',block:'По ширине'},blockquote:'Цитата',clipboard:{title:'Вставить',cutError:'Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции вырезания. Пожалуйста, используйте клавиатуру для этого (Ctrl+X).',copyError:'Настройки безопасности вашего браузера не позволяют редактору автоматически выполнять операции копирования. Пожалуйста, используйте клавиатуру для этого (Ctrl+C).',pasteMsg:'Пожалуйста, вставьте текст в прямоугольник, используя сочетание клавиш (<STRONG>Ctrl+V</STRONG>), и нажмите <STRONG>OK</STRONG>.',securityMsg:'По причине настроек безопасности браузера, редактор не имеет доступа к данным буфера обмена напрямую. Вам необходимо вставить текст снова в это окно.',pasteArea:'Paste Area'},pastefromword:{confirmCleanup:'Текст, который вы хотите вставить, похож на копируемый из Word. Вы хотите очистить его перед вставкой?',toolbar:'Вставить из Word',title:'Вставить из Word',error:'Невозможно очистить вставленные данные из-за внутренней ошибки'},pasteText:{button:'Вставить только текст',title:'Вставить только текст'},templates:{button:'Шаблоны',title:'Шаблоны содержимого',insertOption:'Заменить текущее содержание',selectPromptMsg:'Пожалуйста, выберете шаблон для открытия в редакторе<br>(текущее содержимое будет потеряно):',emptyListMsg:'(Ни одного шаблона не определено)'},showBlocks:'Показать блоки',stylesCombo:{label:'Стиль',panelTitle:'Formatting Styles',panelTitle1:'Block Styles',panelTitle2:'Inline Styles',panelTitle3:'Стили объекта'},format:{label:'Форматирование',panelTitle:'Форматирование',tag_p:'Нормальный',tag_pre:'Форматированный',tag_address:'Адрес',tag_h1:'Заголовок 1',tag_h2:'Заголовок 2',tag_h3:'Заголовок 3',tag_h4:'Заголовок 4',tag_h5:'Заголовок 5',tag_h6:'Заголовок 6',tag_div:'Нормальный (DIV)'},div:{title:'Создать Div-контейнер',toolbar:'Создать Div-контейнер',cssClassInputLabel:'Классы таблицы стилей',styleSelectLabel:'Стиль',IdInputLabel:'Id',languageCodeInputLabel:'Код языка',inlineStyleInputLabel:'Локальный стиль',advisoryTitleInputLabel:'Advisory Title',langDirLabel:'Направление письма',langDirLTRLabel:'Слева направо (LTR)',langDirRTLLabel:'Справа налево (RTL)',edit:'Редактировать Div',remove:'Убрать Div'},font:{label:'Шрифт',voiceLabel:'Шрифт',panelTitle:'Шрифт'},fontSize:{label:'Размер',voiceLabel:'Размер шрифта',panelTitle:'Размер'},colorButton:{textColorTitle:'Цвет текста',bgColorTitle:'Цвет фона',panelTitle:'Colors',auto:'Автоматический',more:'Цвета...'},colors:{'000':'Черный',800000:'Бордовый','8B4513':'Старой кожи','2F4F4F':'Темный синевато-серый','008080':'Чайный','000080':'Темно-синиый','4B0082':'Индиго',696969:'Грязно-серый',B22222:'Огнеупорный кирпич',A52A2A:'Коричневый',DAA520:'Красное золото','006400':'Темно-зеленый','40E0D0':'Бирюзовый','0000CD':'Синий',800080:'Пурпурный',808080:'Серый',F00:'Красный',FF8C00:'Темно-оранжевый',FFD700:'Золотой','008000':'Зеленый','0FF':'Морской волны','00F':'Голубой',EE82EE:'Фиолетовый',A9A9A9:'Темно-серый',FFA07A:'Светлый оранжево-розовый',FFA500:'Оранжевый',FFFF00:'Желтый','00FF00':'Известковый',AFEEEE:'Бледно-бирюзовый',ADD8E6:'Свелто-синий',DDA0DD:'Сливовый',D3D3D3:'Светло-серый',FFF0F5:'Бледный розово-лиловый ',FAEBD7:'Античный белый',FFFFE0:'Светло-желтый',F0FFF0:'Свежего меда',F0FFFF:'Лазурь',F0F8FF:'Бледно-голубой',E6E6FA:'Бледно-лиловый',FFF:'Белый'},scayt:{title:'Проверка Орфографии по Мере Ввода',enable:'Включить ПОМВ',disable:'Отключить ПОМВ',about:'О ПОМВ',toggle:'Переключить ПОМВ',options:'Настройки',langs:'Языки',moreSuggestions:'Больше вариантов',ignore:'Пропустить',ignoreAll:'Пропустить всё',addWord:'Добавить слово',emptyDic:'Имя словаря должно быть не пустым.',optionsTab:'Настройки',languagesTab:'Языки',dictionariesTab:'Словари',aboutTab:'О словарях'},about:{title:'О программе CKEditor',dlgTitle:'О программе CKEditor',moreInfo:'По вопросам лицензирования обращайтесь на наш сайт:',copy:'Copyright &copy; $1. Все права защищены.'},maximize:'Максимизировать',minimize:'Минимизировать',fakeobjects:{anchor:'Якорь',flash:'Flash-анимация',div:'Разрыв страницы',unknown:'Неизвестный объект'},resize:'Перетащите для изменения размера',colordialog:{title:'Выберите цвет',highlight:'Выделить',selected:'Выбранное',clear:'Очистить'},toolbarCollapse:'Свернуть панель инструментов',toolbarExpand:'Развернуть панель инструментов'};