Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 5282)
+++ CKEditor/trunk/CHANGES.html	(revision 5283)
@@ -95,4 +95,5 @@
 		<li><a href="http://dev.fckeditor.net/ticket/5373">#5373</a> : fix pathBlockElements wrong items in elementpath.js.</li>
 		<li><a href="http://dev.fckeditor.net/ticket/5082">#5082</a> : Ctrl key should be described as Cmd key on Mac.</li>
+		<li><a href="http://dev.fckeditor.net/ticket/5182">#5182</a> : Context menu is not been announced correctly by ATs.</li>
 	</ul>
 	<h3>
Index: CKEditor/trunk/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 5282)
+++ CKEditor/trunk/_source/lang/_translationstatus.txt	(revision 5283)
@@ -2,59 +2,59 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 287 Missing: 206
-ar.js      Found: 451 Missing: 42
-bg.js      Found: 280 Missing: 213
-bn.js      Found: 281 Missing: 212
-bs.js      Found: 187 Missing: 306
-ca.js      Found: 404 Missing: 89
-cs.js      Found: 411 Missing: 82
-cy.js      Found: 452 Missing: 41
-da.js      Found: 404 Missing: 89
-de.js      Found: 444 Missing: 49
-el.js      Found: 286 Missing: 207
-en-au.js   Found: 369 Missing: 124
-en-ca.js   Found: 369 Missing: 124
-en-gb.js   Found: 370 Missing: 123
-eo.js      Found: 259 Missing: 234
-es.js      Found: 467 Missing: 26
-et.js      Found: 301 Missing: 192
-eu.js      Found: 403 Missing: 90
-fa.js      Found: 302 Missing: 191
-fi.js      Found: 467 Missing: 26
-fo.js      Found: 300 Missing: 193
-fr-ca.js   Found: 301 Missing: 192
-fr.js      Found: 403 Missing: 90
-gl.js      Found: 283 Missing: 210
-gu.js      Found: 300 Missing: 193
-he.js      Found: 467 Missing: 26
-hi.js      Found: 302 Missing: 191
-hr.js      Found: 404 Missing: 89
-hu.js      Found: 301 Missing: 192
-is.js      Found: 307 Missing: 186
-it.js      Found: 404 Missing: 89
-ja.js      Found: 413 Missing: 80
-km.js      Found: 275 Missing: 218
-ko.js      Found: 293 Missing: 200
-lt.js      Found: 306 Missing: 187
-lv.js      Found: 283 Missing: 210
-mn.js      Found: 300 Missing: 193
-ms.js      Found: 265 Missing: 228
-nb.js      Found: 410 Missing: 83
-nl.js      Found: 467 Missing: 26
-no.js      Found: 410 Missing: 83
-pl.js      Found: 411 Missing: 82
-pt-br.js   Found: 402 Missing: 91
-pt.js      Found: 282 Missing: 211
-ro.js      Found: 301 Missing: 192
-ru.js      Found: 467 Missing: 26
-sk.js      Found: 302 Missing: 191
-sl.js      Found: 410 Missing: 83
-sr-latn.js Found: 276 Missing: 217
-sr.js      Found: 275 Missing: 218
-sv.js      Found: 299 Missing: 194
-th.js      Found: 287 Missing: 206
-tr.js      Found: 307 Missing: 186
-uk.js      Found: 404 Missing: 89
-vi.js      Found: 404 Missing: 89
-zh-cn.js   Found: 404 Missing: 89
-zh.js      Found: 404 Missing: 89
+af.js      Found: 287 Missing: 207
+ar.js      Found: 451 Missing: 43
+bg.js      Found: 280 Missing: 214
+bn.js      Found: 281 Missing: 213
+bs.js      Found: 187 Missing: 307
+ca.js      Found: 404 Missing: 90
+cs.js      Found: 411 Missing: 83
+cy.js      Found: 452 Missing: 42
+da.js      Found: 404 Missing: 90
+de.js      Found: 444 Missing: 50
+el.js      Found: 286 Missing: 208
+en-au.js   Found: 369 Missing: 125
+en-ca.js   Found: 369 Missing: 125
+en-gb.js   Found: 370 Missing: 124
+eo.js      Found: 259 Missing: 235
+es.js      Found: 467 Missing: 27
+et.js      Found: 301 Missing: 193
+eu.js      Found: 403 Missing: 91
+fa.js      Found: 302 Missing: 192
+fi.js      Found: 467 Missing: 27
+fo.js      Found: 300 Missing: 194
+fr-ca.js   Found: 301 Missing: 193
+fr.js      Found: 403 Missing: 91
+gl.js      Found: 283 Missing: 211
+gu.js      Found: 300 Missing: 194
+he.js      Found: 467 Missing: 27
+hi.js      Found: 302 Missing: 192
+hr.js      Found: 404 Missing: 90
+hu.js      Found: 301 Missing: 193
+is.js      Found: 307 Missing: 187
+it.js      Found: 404 Missing: 90
+ja.js      Found: 413 Missing: 81
+km.js      Found: 275 Missing: 219
+ko.js      Found: 293 Missing: 201
+lt.js      Found: 306 Missing: 188
+lv.js      Found: 283 Missing: 211
+mn.js      Found: 300 Missing: 194
+ms.js      Found: 265 Missing: 229
+nb.js      Found: 410 Missing: 84
+nl.js      Found: 467 Missing: 27
+no.js      Found: 410 Missing: 84
+pl.js      Found: 411 Missing: 83
+pt-br.js   Found: 402 Missing: 92
+pt.js      Found: 282 Missing: 212
+ro.js      Found: 301 Missing: 193
+ru.js      Found: 467 Missing: 27
+sk.js      Found: 302 Missing: 192
+sl.js      Found: 410 Missing: 84
+sr-latn.js Found: 276 Missing: 218
+sr.js      Found: 275 Missing: 219
+sv.js      Found: 299 Missing: 195
+th.js      Found: 287 Missing: 207
+tr.js      Found: 307 Missing: 187
+uk.js      Found: 404 Missing: 90
+vi.js      Found: 404 Missing: 90
+zh-cn.js   Found: 404 Missing: 90
+zh.js      Found: 404 Missing: 90
Index: CKEditor/trunk/_source/lang/af.js
===================================================================
--- CKEditor/trunk/_source/lang/af.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/af.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ar.js
===================================================================
--- CKEditor/trunk/_source/lang/ar.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ar.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, غير متاح</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bg.js
===================================================================
--- CKEditor/trunk/_source/lang/bg.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/bg.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bn.js
===================================================================
--- CKEditor/trunk/_source/lang/bn.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/bn.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/bs.js
===================================================================
--- CKEditor/trunk/_source/lang/bs.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/bs.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ca.js
===================================================================
--- CKEditor/trunk/_source/lang/ca.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ca.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, no disponible</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/cs.js
===================================================================
--- CKEditor/trunk/_source/lang/cs.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/cs.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, nedostupné</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/cy.js
===================================================================
--- CKEditor/trunk/_source/lang/cy.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/cy.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, ddim ar gael</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/da.js
===================================================================
--- CKEditor/trunk/_source/lang/da.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/da.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, ikke tilgængelig</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/de.js
===================================================================
--- CKEditor/trunk/_source/lang/de.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/de.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, nicht verfügbar</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/el.js
===================================================================
--- CKEditor/trunk/_source/lang/el.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/el.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-au.js
===================================================================
--- CKEditor/trunk/_source/lang/en-au.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/en-au.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/en-ca.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/en-ca.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en-gb.js
===================================================================
--- CKEditor/trunk/_source/lang/en-gb.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/en-gb.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/en.js
===================================================================
--- CKEditor/trunk/_source/lang/en.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/en.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options'
 	},
 
Index: CKEditor/trunk/_source/lang/eo.js
===================================================================
--- CKEditor/trunk/_source/lang/eo.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/eo.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/es.js
===================================================================
--- CKEditor/trunk/_source/lang/es.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/es.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, no disponible</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/et.js
===================================================================
--- CKEditor/trunk/_source/lang/et.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/et.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/eu.js
===================================================================
--- CKEditor/trunk/_source/lang/eu.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/eu.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, erabilezina</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fa.js
===================================================================
--- CKEditor/trunk/_source/lang/fa.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/fa.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fi.js
===================================================================
--- CKEditor/trunk/_source/lang/fi.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/fi.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, ei saatavissa</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fo.js
===================================================================
--- CKEditor/trunk/_source/lang/fo.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/fo.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fr-ca.js
===================================================================
--- CKEditor/trunk/_source/lang/fr-ca.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/fr-ca.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/fr.js
===================================================================
--- CKEditor/trunk/_source/lang/fr.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/fr.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, Indisponible</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/gl.js
===================================================================
--- CKEditor/trunk/_source/lang/gl.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/gl.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/gu.js
===================================================================
--- CKEditor/trunk/_source/lang/gu.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/gu.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/he.js
===================================================================
--- CKEditor/trunk/_source/lang/he.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/he.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, לא זמין</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hi.js
===================================================================
--- CKEditor/trunk/_source/lang/hi.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/hi.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hr.js
===================================================================
--- CKEditor/trunk/_source/lang/hr.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/hr.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, nedostupno</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/hu.js
===================================================================
--- CKEditor/trunk/_source/lang/hu.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/hu.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/is.js
===================================================================
--- CKEditor/trunk/_source/lang/is.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/is.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/it.js
===================================================================
--- CKEditor/trunk/_source/lang/it.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/it.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, non disponibile</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ja.js
===================================================================
--- CKEditor/trunk/_source/lang/ja.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ja.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, 利用不可能</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/km.js
===================================================================
--- CKEditor/trunk/_source/lang/km.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/km.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ko.js
===================================================================
--- CKEditor/trunk/_source/lang/ko.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ko.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/lt.js
===================================================================
--- CKEditor/trunk/_source/lang/lt.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/lt.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/lv.js
===================================================================
--- CKEditor/trunk/_source/lang/lv.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/lv.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/mn.js
===================================================================
--- CKEditor/trunk/_source/lang/mn.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/mn.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ms.js
===================================================================
--- CKEditor/trunk/_source/lang/ms.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ms.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/nb.js
===================================================================
--- CKEditor/trunk/_source/lang/nb.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/nb.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, utilgjenglig</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/nl.js
===================================================================
--- CKEditor/trunk/_source/lang/nl.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/nl.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, niet beschikbaar</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/no.js
===================================================================
--- CKEditor/trunk/_source/lang/no.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/no.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, utilgjenglig</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/pl.js
===================================================================
--- CKEditor/trunk/_source/lang/pl.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/pl.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, niedostępne</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/pt-br.js
===================================================================
--- CKEditor/trunk/_source/lang/pt-br.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/pt-br.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, indisponível</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/pt.js
===================================================================
--- CKEditor/trunk/_source/lang/pt.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/pt.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ro.js
===================================================================
--- CKEditor/trunk/_source/lang/ro.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ro.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/ru.js
===================================================================
--- CKEditor/trunk/_source/lang/ru.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/ru.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, недоступно</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sk.js
===================================================================
--- CKEditor/trunk/_source/lang/sk.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/sk.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sl.js
===================================================================
--- CKEditor/trunk/_source/lang/sl.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/sl.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, nedosegljiv</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sr-latn.js
===================================================================
--- CKEditor/trunk/_source/lang/sr-latn.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/sr-latn.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sr.js
===================================================================
--- CKEditor/trunk/_source/lang/sr.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/sr.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/sv.js
===================================================================
--- CKEditor/trunk/_source/lang/sv.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/sv.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/th.js
===================================================================
--- CKEditor/trunk/_source/lang/th.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/th.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/tr.js
===================================================================
--- CKEditor/trunk/_source/lang/tr.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/tr.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, unavailable</span>' // MISSING
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/uk.js
===================================================================
--- CKEditor/trunk/_source/lang/uk.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/uk.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, не доступне</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/vi.js
===================================================================
--- CKEditor/trunk/_source/lang/vi.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/vi.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, không có</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/zh-cn.js
===================================================================
--- CKEditor/trunk/_source/lang/zh-cn.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/zh-cn.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, 不可用</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/lang/zh.js
===================================================================
--- CKEditor/trunk/_source/lang/zh.js	(revision 5282)
+++ CKEditor/trunk/_source/lang/zh.js	(revision 5283)
@@ -109,4 +109,9 @@
 		// Put the voice-only part of the label in the span.
 		unavailable		: '%1<span class="cke_accessibility">, 已關閉</span>'
+	},
+
+	contextmenu :
+	{
+		options : 'Context Menu Options' // MISSING
 	},
 
Index: CKEditor/trunk/_source/plugins/contextmenu/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/contextmenu/plugin.js	(revision 5282)
+++ CKEditor/trunk/_source/plugins/contextmenu/plugin.js	(revision 5283)
@@ -37,5 +37,5 @@
 			this);
 
-		this._.definiton =
+		this.definiton =
 		{
 			panel:
@@ -44,5 +44,5 @@
 				attributes :
 				{
-					'aria-label' : editor.lang.common.options
+					'aria-label' : editor.lang.contextmenu.options
 				}
 			}
@@ -64,5 +64,5 @@
 			else
 			{
-				menu = this._.menu = new CKEDITOR.menu( editor, this._.definiton );
+				menu = this._.menu = new CKEDITOR.menu( editor, this.definiton );
 				menu.onClick = CKEDITOR.tools.bind( function( item )
 				{
Index: CKEditor/trunk/_source/plugins/menubutton/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/menubutton/plugin.js	(revision 5282)
+++ CKEditor/trunk/_source/plugins/menubutton/plugin.js	(revision 5283)
@@ -37,4 +37,5 @@
 		{
 			menu = _.menu = new CKEDITOR.plugins.contextMenu( editor );
+			menu.definition.panel.attributes[ 'aria-label' ] = editor.lang.common.options;
 
 			menu.onHide = CKEDITOR.tools.bind( function()